# typedef Field

#### package haxe.macro

#### import haxe.macro.Expr

Available on all platforms

Represents a field in the AST.

### Properties

###

`access:Null<Array<Access>>`

The access modifiers of the field. By default fields have private access.

See:

https://haxe.org/manual/class-field-access-modifier.html

###

`doc:Null<Null<String>>`

The documentation of the field, if available. If the field has no documentation, the value is `null`.

###

`kind:FieldType`

The kind of the field.

###

`meta:Null<Metadata>`

The optional metadata of the field.

###

`name:String`

The name of the field.

###

`pos:Position`

The position of the field.